# GET Touchpoints

## Get Touchpoints

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.2/touchpoints`

This endpoint allows you to access Touchpoint objects from Feedbackly.&#x20;

#### Query Parameters

| Name   | Type   | Description                                |
| ------ | ------ | ------------------------------------------ |
| teamId | string | Filter touchpoints by teamId               |
| skip   | number | Number of documents to skip from the start |

#### Headers

| Name          | Type   | Description                                                                                          |
| ------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| Authorization | string | <p>Authentication token to access the API eg:<br>'Authorization': 'ey0iuefg.834xcunerun348efnsd'</p> |

{% tabs %}
{% tab title="200 Response successfully retrieved." %}

```
{
  "data": [
    {
      "_id": "5dc57703b7c935069aef31c5",
      "name": "Feedback terminal 1",
      "teamId": "5dc57703b7c935069aef31c1",
      "activeSurveyId": "5dc57703b7c935069aef31a2",
      "activeSurveyName": "NPS Survey",
      "lastResponse": 159801789,
      "lastResponseDate": "2020-08-21T13:52:01.606Z"
    },
    {
      
      "_id": "5dc57703b7c935069aef31c6",
      "name": "Web widget home page",
      "teamId": "5dc57703b7c935069aef31c2",
      "activeSurveyId": "5dc57703b7c935069aef31a1",
      "activeSurveyName": "CES Survey",
      "lastResponse": 159801789,
      "lastResponseDate": "2020-08-21T13:52:01.606Z"
    }
  ],
  "paging": {
    "next": "https://api.feedbackly.com/v5.0.2/touchpoints?skip=200",
    "previous": "https://api.feedbackly.com/v5.0.2/touchpoints?skip=0"
  }
}
```

{% endtab %}
{% endtabs %}

### Response type description

| Field name | Type                                                                                                | Example | Description                     |
| ---------- | --------------------------------------------------------------------------------------------------- | ------- | ------------------------------- |
| data       | [Touchpoint data](https://docs.feedbackly.com/v.5.0.2/api/touchpoints/..#touchpoint-data-model) \[] |         | The array of touchpoint objects |
| paging     | [Pagination](https://docs.feedbackly.com/v.5.0.2/api/notes/pagination)                              |         | Pagination object               |
